Bug 978250 - Anaconda does not ignore/timeout non-fatal warning
Anaconda does not ignore/timeout non-fatal warning
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Vratislav Podzimek
Release Test Team
: Regression
Depends On:
Blocks: 965983
  Show dependency treegraph
Reported: 2013-06-26 04:00 EDT by Marian Ganisin
Modified: 2017-04-04 16:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
If a read-only disk is present, installation of Red Hat Enterprise Linux 5 can be interrupted by an interactive warning dialog window, and thus blocking automated installations.
Story Points: ---
Clone Of:
Last Closed: 2017-04-04 16:45:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
anaconda.log (31.43 KB, text/plain)
2013-06-26 04:02 EDT, Marian Ganisin
no flags Details
ks.cfg (473 bytes, text/plain)
2013-06-26 04:02 EDT, Marian Ganisin
no flags Details
syslog (15.18 KB, text/plain)
2013-06-26 04:02 EDT, Marian Ganisin
no flags Details
screenshot (8.68 KB, image/png)
2013-06-26 04:03 EDT, Marian Ganisin
no flags Details

  None (edit)
Description Marian Ganisin 2013-06-26 04:00:32 EDT
Description of problem:

Kickstart installation is stopped by non-fatal interactive dialog in case of read-only disk. In the past it was requested by customer to avoid such dialogs in kickstart installations via Bug 455465.

Version-Release number of selected component (if applicable):

Steps to Reproduce:

    Prepare the system with read-only disc drive (SD card with write protection for example)

or with libvirt (virt-manager):

    When setting up machine, check "Customize configuration before install"
    Add additional disk and mark it readonly

or with qemu:

    prepare 2 disk images:
        qemu-img create disk1.img 10G
        qemu-img create disk2.img 1G
    get boot.iso for tested compose
    run: losetup -r /dev/loopN disk2.img
    rum qemu:

qemu-kvm -monitor stdio -m 1024 -net tap -net nic,model=virtio -drive if=virtio,file=disk1.img,boot=on -drive if=virtio,file=/dev/loopN -cdrom boot.iso -boot d

Start automated installation using autopart specified in kickstart

Actual results:
Warning dialog blocking the kickstart execution

Expected results:
Installation finished without user's intervention

Additional info:
This seems to be a regression to Bug 455465
Comment 1 Marian Ganisin 2013-06-26 04:02:36 EDT
Created attachment 765443 [details]
Comment 2 Marian Ganisin 2013-06-26 04:02:42 EDT
Created attachment 765444 [details]
Comment 3 Marian Ganisin 2013-06-26 04:02:50 EDT
Created attachment 765445 [details]
Comment 4 Marian Ganisin 2013-06-26 04:03:23 EDT
Created attachment 765446 [details]
Comment 5 Ladislav Jozsa 2013-06-26 04:20:17 EDT
Marian, this does not seem to be bug because if qemu-kvm is run with parameter 

-drive if=virtio,file=/dev/loopN 

where /dev/loopN is mounted readonly, the virtual system has no information about read only property until it tries to write to block device. The proper way how to handle this is to append readonly parameter to aforementioned line, 

-drive if=virtio,file=/dev/loopN,readonly

Note that readonly parameter works on hypervisor running RHEL6 or newer.

If you want to know whether the system sees some drive as readonly you can verify it by running the following command

blockdev --getro /dev/sda

I have updated the test case. I'm sorry that I forgot to do that earlier.
Comment 11 Vratislav Podzimek 2014-02-25 05:49:52 EST
I've just tried to run several installations on various virtual machines with readonly disks and didn't see the dialog. Marian, can you please retest this issue?
Comment 13 Chris Williams 2017-04-04 16:45:56 EDT
Red Hat Enterprise Linux 5 shipped it's last minor release, 5.11, on September 14th, 2014. On March 31st, 2017 RHEL 5 exits Production Phase 3 and enters Extended Life Phase. For RHEL releases in the Extended Life Phase, Red Hat  will provide limited ongoing technical support. No bug fixes, security fixes, hardware enablement or root-cause analysis will be available during this phase, and support will be provided on existing installations only.  If the customer purchases the Extended Life-cycle Support (ELS), certain critical-impact security fixes and selected urgent priority bug fixes for the last minor release will be provided.  The specific support and services provided during each phase are described in detail at http://redhat.com/rhel/lifecycle

This BZ does not appear to meet ELS criteria so is being closed WONTFIX. If this BZ is critical for your environment and you have an Extended Life-cycle Support Add-on entitlement, please open a case in the Red Hat Customer Portal, https://access.redhat.com ,provide a thorough business justification and ask that the BZ be re-opened for consideration of an errata. Please note, only certain critical-impact security fixes and selected urgent priority bug fixes for the last minor release can be considered.

Note You need to log in before you can comment on or make changes to this bug.